//+------------------------------------------------------------------+
//|                                                         Test.mq4 |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
{
   ObjectGetValueByTimeTest();
   EventSetTimer(60);
      
   return(INIT_SUCCEEDED);
}
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
   EventKillTimer();
}      

//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
{
   
}
//+------------------------------------------------------------------+
//| Timer function                                                   |
//+------------------------------------------------------------------+
void OnTimer()
{
   
}
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
{
   
}
//+------------------------------------------------------------------+
struct k_Point
{
   datetime dt_Time;
   double   d_Price;
};
//+------------------------------------------------------------------+
void ObjectGetValueByTimeTest()
{
   ObjectsDeleteAll();
   k_Point kPoint_1;
   k_Point kPoint_2;
   k_Point kPoint_3;
   
   kPoint_1.dt_Time = Time[5];
   kPoint_1.d_Price = Low[5];
   
   kPoint_2.dt_Time = Time[1];
   kPoint_2.d_Price = High[1];
   
   kPoint_3.dt_Time = Time[5];
   kPoint_3.d_Price = High[5];
   
   ObjectCreate("Channel",OBJ_CHANNEL,0,
                                        kPoint_1.dt_Time,kPoint_1.d_Price,
                                        kPoint_2.dt_Time,kPoint_2.d_Price,
                                        kPoint_3.dt_Time,kPoint_3.d_Price);
                                        
   double d_line_0_12 = ObjectGetValueByTime(0,"Channel",Time[1],0);                                        
   double d_line_1_33 = ObjectGetValueByTime(0,"Channel",Time[1],1); 
   
   Print(" d_line_0_12=",d_line_0_12);                                      
   Print(" d_line_1_33=",d_line_1_33);                                      
}
//+------------------------------------------------------------------+
